LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XDocumentInsertable Interface Referencepublished

makes it possible to import a document from a given URL into this document. More...

`import"XDocumentInsertable.idl";`

Inheritance diagram for XDocumentInsertable:

## Public Member Functions
void | insertDocumentFromURL ([in] string aURL, [in] sequence< com::sun::star::beans::PropertyValue > aOptions) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::io::IOException )
| inserts the document that is specified by the URL. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to import a document from a given URL into this document.

Developers Guide
  Text - Inserting Text Files

## Member Function Documentation

## ◆ insertDocumentFromURL()

void insertDocumentFromURL | ( | [in] string | aURL,
|  | [in] sequence< com::sun::star::beans::PropertyValue > | aOptions
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::io::IOException
| ) |  |

inserts the document that is specified by the URL.

The documentation for this interface was generated from the following file:

- com/sun/star/document/XDocumentInsertable.idl